package query_processing.hospital.update;

import uk.ac.ic.doc.automed.AutoMedException;

public class UpdateReformulationException extends AutoMedException {

	  /**
	   * Creates an NotFoundException when there has been no
	   * Exception that caused the error to discovered.
	   * @param msg message for the exception.
	   */
	  public UpdateReformulationException(String msg) {
	    super(msg);
	  }

	  /**
	   * Creates an NotFoundException when it is acting as
	   * a wrapper for other Exceptions.
	   * @param msg message for the exception.
	   * @param e   Exception object for more detailed stack trace
	   */
	  public UpdateReformulationException(String msg, Exception e) {
	    super(msg, e);
	    //this.initCause(e);
	  }
}
